This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 844698 - [abrt] blueman-1.23-2.fc17: Transfer.py:156:access_cb:ReferenceError: weakly-referenced object no longer exists
[abrt] blueman-1.23-2.fc17: Transfer.py:156:access_cb:ReferenceError: weakly-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:0fd0b8188b961ed9a5cb5c24ba7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 08:24 EDT by Jorick
Modified: 2013-08-01 01:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:59:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jorick 2012-07-31 08:24:00 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /bin/blueman-applet
event_log:      2012-07-31-12:23:22> Smolt profile successfully saved
executable:     /bin/blueman-applet
kernel:         3.4.6-2.fc17.x86_64
time:           Tue 31 Jul 2012 12:22:02 PM WET
uid:            1000
username:       jorick

backtrace:
:Transfer.py:156:access_cb:ReferenceError: weakly-referenced object no longer exists
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/PowerManager.py", line 68, in <lambda>
:    self.signals.Handle(self.item, "activate", lambda x: self.on_bluetooth_toggled())
:  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/PowerManager.py", line 232, in on_bluetooth_toggled
:    self.RequestPowerState(not self.CurrentState)
:  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/PowerManager.py", line 150, in RequestPowerState
:    if self.current_state != state:
:  File "/usr/lib/python2.7/site-packages/blueman/gui/Notification.py", line 155, in on_action
:    actions_cb(*args)
:  File "/usr/lib/python2.7/site-packages/blueman/main/applet/Transfer.py", line 156, in access_cb
:    if wsession.transfer["waiting"]:
:ReferenceError: weakly-referenced object no longer exists
:
:Local variables in innermost frame:
:action: 'default'
:wself: <weakproxy at 0x1806db8 to Transfer at 0x1adf460>
:wsession: <weakproxy at 0x1806c58 to NoneType at 0x3b53b83e60>
:n: <NotificationBubble object at 0x1aeca50 (NotifyNotification at 0x1845e80)>

comment:
:Right click the blueman icon in the system tray
:Turn bluetooth off.

smolt_data:
:
:
:General
:=================================
:UUID: 76a4189c-3d80-4ccc-8c3c-40fad2f8d7fa
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4788.63
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 450  @ 2.40GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 7845
:System Swap: 1906
:Vendor: TOSHIBA
:System: Satellite Pro L670 PSK3FE-017002BT
:Form factor: Laptop
:Kernel: 3.4.6-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4473:64768) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4473:64768) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4473:64768) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4473:64768) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4473:64768) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4473:64768) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(4332:33128:4473:64768) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:15164:4473:64768) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4473:64768) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4473:64768) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(5348:18215:5199:29045) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:15170:4473:64768) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4473:64768) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4473:64768) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4473:64768) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4098:43616:4473:64768) pci, snd_hda_intel, MULTIMEDIA, Redwood HDMI Audio [Radeon HD 5600 Series]
:(4098:26817:4473:64768) pci, radeon, VIDEO, Madison [AMD Radeon HD 5000M Series]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 4876449 2991179 2942351 1228800 1037628 1037628
:/dev/sda4 /home ext4 4096 4096 95546815 42076109 37293194 23920640 23527037 23527037
:/dev/sda5 /boot ext4 1024 1024 190693 118898 109261 48192 47834 47834
:
Comment 1 Fedora End Of Life 2013-07-03 21:30:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 01:59:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.